var gulp = require('gulp');
var less = require('gulp-less');
var postcss = require('gulp-postcss');
var autoprefixer = require('autoprefixer');

gulp.task('css', function () {
  return gulp.src('./less/*.less')
    .pipe(less())
    .pipe(postcss([autoprefixer]))
    .pipe(gulp.dest('./styles'));
});

gulp.task('watch', function () {
  gulp.watch('./less/*.less', gulp.series('css'));
});

gulp.task('default', gulp.series('css'));
